# Gets the order completion for an in progress order base

This endpoint may be polled to determine when the order completion has been finished.
#### Licenses Required
- Vista.Ocapi
- Vista.Ocapi.EmbeddedPayment

Endpoint: GET /ocapi/v1/orders/{orderId}/completion
Version: V1

## Description:

  - `Licenses Required` ()
    Vista.OcapiVista.Ocapi.EmbeddedPayment

## Path parameters:

  - `orderId` (string, required)
    The unique identifier of the in progress order base

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `orderId` (string, required)
    Gets the unique identifier of the in progress order base

  - `orderType` (string, required)
    Gets the type of the in progress order base
    Enum: "Standard", "GiftShop", "Subscription", "Tab"

  - `status` (string, required)
    Gets the status
    Enum: "Pending", "Completed", "Failed"

  - `transactionNumber` (integer)
    Gets the number generated by the site that can be used to identify and collect the transaction

  - `updatedOrderExpiresAt` (string)
    Gets the updated date and time that the in progress order base expires

  - `journeyReference` (string, required)
    Gets the identifier created on order completion that will be linked to a journey entity

  - `bookingId` (string, required)
    Gets the booking identifier generated by the site that can be used to identify and collect the booking

## Response 404:

  - `404` (unknown)
    Order does not exist, or completion has not been created.

